/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.databinding.xml;

import static org.junit.Assert.assertNotNull;

import javax.xml.stream.XMLStreamReader;

import org.custommonkey.xmlunit.XMLAssert;
import org.junit.Test;

/**
 * Test Case for StAXHelper
 *
 * @version $Rev: 722501 $ $Date: 2008-12-02 15:39:59 +0000 (Tue, 02 Dec 2008) $
 */
public class StAXHelperTestCase {
    private static final String XML =
        "<a:foo xmlns:a='http://a' name='foo'><bar name='bar'>" 
            + "<doo a:name='doo' xmlns:a='http://doo'/>"
            + "</bar></a:foo>";

    @Test
    public void testHelper() throws Exception {
        XMLStreamReader reader = StAXHelper.createXMLStreamReader(XML);
        String xml = StAXHelper.save(reader);
        XMLAssert.assertXMLEqual(XML, xml);
        reader = StAXHelper.createXMLStreamReader(xml);
        assertNotNull(reader);
    }

}
